[database-export]
database = reports
credentials = s3://client-name-edxanalytics-lib/edxanalytics_creds

[database-import]
database = edxapp
destination = s3://client-name-edxanalytics-hadoop/warehouse/hive/
credentials = s3://client-name-edxanalytics-lib/edxapp_creds

[event-logs]
expand_interval = 30 days
pattern = .*tracking.log-(?P<date>[0-9]+).*
source = s3://client-name-tracking-logs/logs/tracking/

[hive]
warehouse_path = s3://client-name-edxanalytics-hadoop/warehouse/hive/

[manifest]
path = s3://client-name-edxanalytics-hadoop/map-reduce/manifests/
lib_jar = s3://client-name-analytics-emr-config/edx-analytics-hadoop-util.jar
input_format = org.edx.hadoop.input.ManifestTextInputFormat

[map-reduce]
marker = s3://client-name-edxanalytics/map-reduce/marker/

[enrollments]
interval_start = 2015-01-01
blacklist_date = 2001-01-01
blacklist_path = s3://client-name-edxanalytics-hadoop/enrollments-blacklist/  # this file is empty
overwrite_n_days = 3

[location-per-course]
interval_start = 2015-01-01
overwrite_n_days = 3

[answer-distribution]
valid_response_types = customresponse,choiceresponse,optionresponse,multiplechoiceresponse,numericalresponse,stringresponse,formularesponse

[geolocation]
geolocation_data = s3://client-name-edxanalytics-lib/GeoIP.dat

[calendar]
interval = 2014-01-01-2020-01-01

[videos]
dropoff_threshold = 0.05

[elasticsearch]
host = https://search-client-name-analytics-es-xxxx.us-east-1.es.amazonaws.com
connection_type = aws

[module-engagement]
alias = roster_1_2
number_of_shards = 5
allow_empty_insert = true
